Обновление 7.61 до 7.62, 7.63, 7.64

    Опубликовано Andres - чт, 02/07/2019 - 17:17

    Не работает Drush после обновления:

    https://www.drupal.org/project/drupal/issues/3026560

    https://www.drupal.org/project/drupal/issues/3026386

    https://www.drupal.org/project/drupal/issues/3026390

    https://yandex.ru/search/?text=line%2038%20of%20PharExtensionInterceptor.php%20drush%207.62&lr=1107

     

    line 38 of PharExtensionInterceptor.php drush 7.62

    drush status
    <h1>Additional uncaught exception thrown while handling exception.</h1><h2>Original</h2><p>TYPO3\PharStreamWrapper\Exception: Method stream_select() cannot be used in TYPO3\PharStreamWrapper\PharStreamWrapper-&gt;stream_cast() (line 146 of /home/c/cinfoki/kitsystem_dev/public_html/misc/typo3/phar-stream-wrapper/src/PharStreamWrapper.php).</p><h2>Additional</h2><p>TYPO3\PharStreamWrapper\Exception: Unexpected file extension in &amp;quot;phar:///usr/local/bin/drush/commands/core/drupal&amp;quot; in Drupal\Core\Security\PharExtensionInterceptor-&gt;assert() (line 38 of /home/c/cinfoki/kitsystem_dev/public_html/misc/typo3/drupal-security/PharExtensionInterceptor.php).</p><hr />Drush command terminated abnormally due to an unrecoverable error.   [error]
    Your memory limit is set to 25.599999427795M; Drush needs as much    [error]
    memory to run as Drupal.  Please check your configuration settings in
    /etc/php5/apache2/php.ini or in your drush.ini file; see
    examples/example.drush.ini for details.

     

    Update information last refreshed: чт, 02/07/2019 - 16:56
     Name                   Install  Propose  Message
                            ed       d
                            Version  version
     Drupal                 7.61     7.64     SECURITY UPDATE available
     Google Analytics       7.x-2.5  7.x-2.6  Доступно обновление
     (google_analytics)
     Bootstrap (bootstrap)  7.x-3.2  7.x-3.2  Доступно обновление
                            2        3
     Commerce Cart Link     Unknown  Unknown  Project was not packaged by
     (commerce_cart_link)                     drupal.org but obtained from git. You
                                              need to enable git_deploy module
     Commerce               Unknown  Unknown  Project was not packaged by
     Multicurrency Sort                       drupal.org but obtained from git. You
     (commerce_multicurren                    need to enable git_deploy module
     cy_sort)
     Search API Domain      Unknown  Unknown  Project was not packaged by
     Access filter                            drupal.org but obtained from git. You
     (search_api_domain)                      need to enable git_deploy module

    NOTE: A security update for the Drupal core is available.
    Drupal core will be updated after all of the non-core projects are updated.


    Code updates will be made to drupal core.
    WARNING:  Updating core will discard any modifications made to Drupal core files, most noteworthy among these are .htaccess and robots.txt.  If you have made any modifications to these files, please back them up before updating so that you can re-create your modifications in the updated version of the file.
    Note: Updating core can potentially break your site. It is NOT recommended to update production sites without prior testing.

    Do you really want to continue? (y/n): y
    Project drupal was updated successfully. Installed version is now 7.64.
    Backups were saved into the directory                                [ok]
    /home/c/cinfoki/drush-backups/cinfoki_kit_dev/20190207095620/drupal.
    exception 'TYPO3\PharStreamWrapper\Exception' with message 'Method   [error]
    stream_select() cannot be used' in
    /home/c/cinfoki/kitsystem_dev/public_html/misc/typo3/phar-stream-wrapper/src/PharStreamWrapper.php:146
    Stack trace:
    #0 phar:///usr/local/bin/drush/includes/drush.inc(78):
    TYPO3\PharStreamWrapper\PharStreamWrapper->stream_cast(0)
    #1 phar:///usr/local/bin/drush/includes/drush.inc(78):
    drush_include()
    #2 phar:///usr/local/bin/drush/includes/engines.inc(520):
    drush_include('phar:///usr/loc...', 'environment')
    #3 phar:///usr/local/bin/drush/lib/Drush/Boot/DrupalBoot.php(530):
    drush_include_engine('drupal', 'environment')
    #4 phar:///usr/local/bin/drush/lib/Drush/Boot/DrupalBoot7.php(96):
    Drush\Boot\DrupalBoot->bootstrap_drupal_full()
    #5 phar:///usr/local/bin/drush/includes/bootstrap.inc(354):
    Drush\Boot\DrupalBoot7->bootstrap_drupal_full()
    #6
    phar:///usr/local/bin/drush/commands/core/drupal/update_7.inc(204):
    drush_bootstrap(5)
    #7
    phar:///usr/local/bin/drush/commands/core/drupal/update_7.inc(225):
    update_main_prepare()
    #8 phar:///usr/local/bin/drush/commands/core/core.drush.inc(462):
    update_main()
    #9 [internal function]: drush_core_updatedb()
    #10 phar:///usr/local/bin/drush/includes/command.inc(422):
    call_user_func_array('drush_core_upda...', Array)
    #11 phar:///usr/local/bin/drush/includes/command.inc(231):
    _drush_invoke_hooks(Array, Array)
    #12 [internal function]: drush_command()
    #13 phar:///usr/local/bin/drush/includes/command.inc(199):
    call_user_func_array('drush_command', Array)
    #14 phar:///usr/local/bin/drush/lib/Drush/Boot/BaseBoot.php(67):
    drush_dispatch(Array)
    #15 phar:///usr/local/bin/drush/includes/preflight.inc(66):
    Drush\Boot\BaseBoot->bootstrap_and_dispatch()
    #16 phar:///usr/local/bin/drush/includes/startup.inc(465):
    drush_main()
    #17 phar:///usr/local/bin/drush/includes/startup.inc(369):
    drush_run_main(false, '/', 'Phar detected. ...')
    #18 phar:///usr/local/bin/drush/drush(114): drush_startup(Array)
    #19 /usr/local/bin/drush(10): require('phar:///usr/loc...')
    #20 {main}
     

    Теги